pipeline {
    agent any
    environment {
        DOCKERHUB_CREDENTIALS = credentials('dh_cred')
    }
    stages {
        stage('Init'){
            steps{
                sh 'echo $DOCKERHUB_CREDENTIALS_PSW | docker login -u $DOCKERHUB_CREDENTIALS_USR --password-stdin'
            }
        }
        stage('Test'){
            steps{
                sh 'make test'
            }
        }
        stage('Build'){
            steps {
                
                sh 'docker build -t majdi88/Ds:$BUILD_ID -f build/Dockerfile .'
            }
        }
        stage('Deliver'){
            steps {
        
                sh 'docker push majdi88/Ds:$BUILD_ID'
            }
        }
       
    }
    node {   
    stage('Clone repository') {
        git credentialsId: 'git', url: 'https://gitlab.com/majdi.ennoumi/ds/'
    }
    
    stage('Build image') {
       dockerImage = docker.build("https://hub.docker.com/repository/create?namespace=majdi88")
    }
    
 stage('Push image') {
        withDockerRegistry([ credentialsId: "dockerhubaccount", url: "https://hub.docker.com/repository/create?namespace=majdi88" ]) {
        dockerImage.push()
        }
    }    
}


}

